Summary:	A network traffic monitoring tool
Name:		tcpdump
Version:	4.4.0
%define subrel	3
Release:	%mkrel 2
Epoch:		2
Group:	 	Monitoring
License:	BSD
URL:		http://www.tcpdump.org/
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
Patch0:		tcpdump-cve-2014-8767.patch
Patch2:		tcpdump-cve-2014-8769.patch
Patch3:		tcpdump-4.5.1-CVE-2014-9140.patch
Patch4:		tcpdump-cve-2015-0261.patch
Patch5:		tcpdump-cve-2015-2153.patch
Patch6:		tcpdump-cve-2015-2154.patch
Patch7:		tcpdump-cve-2015-2155.patch
BuildRequires:	pcap-devel >= 1.2.0
BuildRequires:	openssl-devel
BuildRequires:	libsmi-devel

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump can
capture and display the packet headers on a particular network interface or on
all interfaces.  Tcpdump can display all of the packet headers, or just the
ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%setup -q
%patch0 -p1 -b .CVE-2014-8767
%patch2 -p1 -b .CVE-2014-8769
%patch3 -p1 -b .CVE-2014-9140
%patch4 -p1 -b .CVE-2015-0261
%patch5 -p1 -b .CVE-2015-2153
%patch6 -p1 -b .CVE-2015-2154
%patch7 -p1 -b .CVE-2015-2155

%build
%serverbuild
export CFLAGS="%{optflags} -I. -DIP_MAX_MEMBERSHIPS=20"
%configure2_5x \
    --enable-ipv6

%make

%install
%makeinstall_std
# (misc) remove the binary, has this only pollutes completion
# and take useless space in the rpm
rm -f %{buildroot}/%{_sbindir}/%{name}.%{version}

%files
%doc README CHANGES CREDITS LICENSE
%{_sbindir}/%{name}
%{_mandir}/man1/tcpdump.1*


%changelog
* Tue Mar 17 2015 luigiwalser <luigiwalser> 2:4.4.0-2.3.mga4
+ Revision: 818736
- add patches from debian to fix CVE-2015-0261 and CVE-2015-215[3-5]
- add patch from ubuntu to fix CVE-2014-9140
- add patches from fedora to fix CVE-2014-8767 and CVE-2014-8769

* Sat Oct 19 2013 umeabot <umeabot> 2:4.4.0-2.mga4
+ Revision: 528588
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 fwang <fwang> 2:4.4.0-1.mga4
+ Revision: 446134
- new version 4.4.0

* Mon Jan 14 2013 umeabot <umeabot> 2:4.3.0-2.mga3
+ Revision: 384173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 luigiwalser <luigiwalser> 2:4.3.0-1.mga3
+ Revision: 280173
- 4.3.0

* Sat Jan 28 2012 tv <tv> 2:4.2.1-1.mga2
+ Revision: 202465
- drop patch 0 (merged)
- new release

* Mon Nov 28 2011 guillomovitch <guillomovitch> 2:4.2.0-1.mga2
+ Revision: 173744
- add missing header

  + fwang <fwang>
    - new version 4.2.0

* Tue Feb 22 2011 dmorgan <dmorgan> 2:4.1.1-2.mga1
+ Revision: 56593
- imported package tcpdump

